<?php

namespace App\Exports\RoadItems;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;
// use App\Exports\RoadItems\RoadItems;

class AllSheets implements WithMultipleSheets
{
    public function __construct($fromDate = null, $toDate = null, $province = null)
    {
        $this->fromDate = $fromDate ?? null;
        $this->toDate = $toDate ?? null;
        $this->province = $province ?? null;
    }
    public function sheets(): array
    {
        return [
            0 => new RoadItems($this->fromDate, $this->toDate, $this->province),
        ];
    }
}
